## snid 0.3.0

=== debian/changelog ===
snid (0.3.0-2) unstable; urgency=medium

  * Add autopkgtests

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 07 Apr 2025 23:23:12 +0200

snid (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1101006)

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 22 Mar 2025 13:17:32 +0000
