=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang

HELP2MAN_FLAGS = \
        --version-string=$(DEB_VERSION) \
        --no-info \
	--section 8 \
        --no-discard-stderr

execute_before_dh_installman:
	mkdir -p debian/tmp
	PATH=debian/snid/usr/bin/:$$PATH \
	  help2man $(HELP2MAN_FLAGS) \
	    -i debian/snid.h2m \
	    > debian/snid.8 \
	    snid

override_dh_auto_install:
	dh_auto_install -- --no-source
