## snid 0.4.0

=== debian/changelog ===
snid (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 28 Sep 2025 19:07:00 +0200
