=== debian/tests/control ===
Tests: snid-tcp snid-unix
Depends: @, openssl
Restrictions: allow-stderr
